<div class="mt-3 blocks mainContainer">
  <div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordionExample">
    <form #dataLayoutForm="ngForm" class="card-body">
      <ejs-grid #grid [dataSource]="" allowPaging="false" height="245">
        <e-columns>
          <e-column field="attr_nm" headerText="Column Name" isPrimaryKey="true">
          </e-column>
          <e-column field="visual_desc" headerText="Rule Type" isPrimaryKey="true">
          </e-column>
          <e-column field="bk_attr_nm" headerText="Additional Reporting Column(s)" isPrimaryKey="true">
          </e-column>
          <e-column field="rule_desc" headerText="Rule Description" isPrimaryKey="true">
          </e-column>
          <e-column field="is_actv" headerText="Active" isPrimaryKey="true">
          </e-column>
          <e-column field="rule_svrt" headerText="Severity" isPrimaryKey="true">
          </e-column>
          <e-column headerText="Commands" field="is_actv">
          </e-column>
        </e-columns>
      </ejs-grid>
    </form>
  </div>
</div>
<div class="mt-0 float-right">
  <button name="btnAddNewRule" #btnAddNewRule (click)="addNewRule()"
    class="btn btn-outline-warning actionButton">
    {{dataControlContent.buttons.addNewRule}}</button>
</div>
<ejs-dialog #Dialog [header]="isRuleEditMode?dataControlContent.dialogForm.editRuleHeader:dataControlContent.dialogForm.addRuleHeader" [buttons]="dlgButtons" [visible]="false" 
 isModal="true" [position]="position">
  <ng-template #content>
    <form #addNewRuleForm="ngForm" class="card-body" [formGroup]="dataControlForm" (ngSubmit)="onSubmit()">
      <div class="row">
        <div class="col-sm-6">
          <div class="row">
            <div class="col-sm-6">
              <p style="text-align: right">deatal 0</p>
            </div>
          </div>
          <hr class="mt-0" />
          <div class="blocks">
            <p class="custom-h6 col-md-3">Source</p>
            <ejs-dropdownlist width="250px" class="mr-6" cssClass="e-outline" [dataSource]="dataControlOptions"
              formControlName="controlType" (change)="controlTypeChange($event)" [(value)]="activeDataControlOption">
            </ejs-dropdownlist>
          </div>
          <div formArrayName="items">
            <div *ngFor="let item of getControls(); let i = index;">
              <div [formGroupName]="i" name="frmGrp" #frmGrp>
                <hr class="mt-0" />
                <div class="blocks">
                  <p class="custom-h6 col-md-3">dataLayer</p>
                  <ejs-dropdownlist width="250px" class="mr-6" cssClass="e-outline" [dataSource]="layerList"
                    [fields]="layerFields" [placeholder]="waterMark" (change)="sourceLayerChange(i, $event)"
                    formControlName="layer">
                  </ejs-dropdownlist>
                </div>
                <div class="blocks">
                  <p class="custom-h6 col-md-3">object</p>
                  <ejs-dropdownlist width="250px" class="mr-6" cssClass="e-outline"
                    [dataSource]="sourceData.objectList[i]" [fields]="objectFields" [placeholder]="waterMark"
                    (change)="sourceObjectChange(i, $event)" formControlName="object">
                  </ejs-dropdownlist>
                </div>
                <div class="blocks">
                  <p class="custom-h6 col-md-3">metricAttr</p>
                  <div *ngIf="activeDataControlOption==dataControlOptions[1]">
                    <ejs-dropdownlist width="250px" class="mr-6" cssClass="e-outline" formControlName="metric"
                      [dataSource]="sourceData.metricList[i]" [fields]="metricFields" [placeholder]="waterMark"
                      (change)="sourceMetricChange($event, i)">
                    </ejs-dropdownlist>
                  </div>
                  <div *ngIf="activeDataControlOption==dataControlOptions[0]">
                    <ejs-multiselect width="250px" class="mr-6" cssClass="e-outline" formControlName="metric"
                      [dataSource]="sourceData.metricList[i]" [fields]="metricFields" [placeholder]="waterMark"
                      (change)="sourceMetricChange($event, i)">
                    </ejs-multiselect>
                  </div>
                </div>
                <div class="blocks">
                  <p class="custom-h6 col-md-3">aggLevel</p>
                  <ejs-multiselect width="250px" class="mr-6" cssClass="e-outline" formControlName="aggLevel"
                    [dataSource]="sourceData.aggregationLevelList[i]" [fields]="metricFields" [placeholder]="waterMark">
                  </ejs-multiselect>
                </div>
                <div class="blocks">
                  <p class="custom-h6 col-md-3">condition</p>
                  <ejs-textbox width="250px" cssClass="e-outline" floatLabelType="Auto" formControlName="condition">
                  </ejs-textbox>
                </div>
                <div class="blocks">
                  <p class="col-md-5 mr-2"></p>
                  <div class="pl-1">
                    <button type="button" class="btn btn-outline-warning actionButton float-right"
                      (click)="deleteItem(i)">Delete</button>
                  </div>
                </div>
              </div>
            </div>
            <hr class="mt-0" />
            <button type="button" (click)="addItem()" class="btn btn-outline-warning actionButton float-left">Add</button>
          </div>
        </div>
        <div class="col-sm-6">
          <div class="row">
            <div class="col-sm-6">
              <p class="text-center">DeTAIL 2</p>
            </div>
          </div>
          <div formGroupName="targetDetails">
            <hr class="mt-0" />
            <div class="blocks">
              <p class="custom-h6 col-md-3">dataLayer</p>
              <ejs-dropdownlist required width="250px" class="mr-6" cssClass="e-outline" formControlName="layer"
                [dataSource]="layerList" [fields]="layerFields" [placeholder]="waterMark"
                (change)="targetLayerChange($event)">
              </ejs-dropdownlist>
            </div>
            <div class="blocks">
              <p class="custom-h6 col-md-3">object</p>
              <ejs-dropdownlist required width="250px" class="mr-6" cssClass="e-outline" formControlName="object"
                [dataSource]="targetObjectList" [fields]="objectFields" [placeholder]="waterMark"
                (change)="targetObjectChange($event)">
              </ejs-dropdownlist>
            </div>
            <div class="blocks">
              <p class="custom-h6 col-md-3">metricList</p>
              <ejs-dropdownlist required width="250px" class="mr-6" cssClass="e-outline" formControlName="metric"
                [dataSource]="targetMetricList" [fields]="metricFields" [placeholder]="waterMark"
                (change)="targetMetricChange($event)">
              </ejs-dropdownlist>
            </div>
            <div class="blocks">
              <p class="custom-h6 col-md-3">aggLevel</p>
              <ejs-multiselect required width="250px" class="mr-6" cssClass="e-outline" formControlName="aggLevel"
                [dataSource]="targetAggLevelList" [fields]="metricFields" [placeholder]="waterMark">
              </ejs-multiselect>
            </div>
            <div class="blocks">
              <p class="custom-h6 col-md-3">condition</p>
              <ejs-textbox width="250px" cssClass="e-outline" name="targetCondition" floatLabelType="Auto"
                formControlName="condition">
              </ejs-textbox>
            </div>
            <div class="blocks">
              <p class="custom-h6 col-md-3">metric</p>
              <ejs-textbox width="250px" cssClass="e-outline" floatLabelType="Auto" formControlName="rule_desc"></ejs-textbox>
            </div>
            <div class="blocks">
              <p class="custom-h6 col-md-3">status</p>
              <ul>
                <li class="checkbox-inline mr-2">
                  <ejs-checkbox [label]="dataControlContent.status.label" name="active" formControlName="status" (click)="status = !status">
                  </ejs-checkbox>
                </li>
              </ul>
            </div>
            <div class="blocks">
              <p class="custom-h6 col-md-3">severity</p>
              <ul>
                <li *ngFor="let severityOption of severityOptions; let i = index;" class="checkbox-inline mr-2">
                  <ejs-checkbox label="{{severityOption}}" value="{{severityOption}}" 
                  (click)="activeSeverityOption = severityOption" (change)=severityChange(severityOption)>
                  </ejs-checkbox>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </div>
    </form>
  </ng-template>
</ejs-dialog>